/***
 * 员工角色管理
 */
import axios from '../../libs/api.request'
// 获取当前登录员工信息
export const getMyInfo = (data) => {
  return axios.request({
    url: '/api/ac/sc/systemUserService/getMyInfo',
    data: data,
    type: 'post'
  })
}
// 获取员工详情信息
export const getById = (data) => {
  return axios.request({
    url: '/api/ac/sc/systemUserService/getById',
    data: data,
    type: 'post'
  })
}
// 获取员工列表
export const getUserInfoList = (data) => {
  return axios.request({
    url: '/api/ac/sc/systemUserService/getUserInfoList',
    data: data,
    type: 'post'
  })
}
// 获取公司角色列表
export const getCompanyRoleList = (data) => {
  return axios.request({
    url: '/api/as/sc/role/getCompanyRoleList',
    // data: data,
    type: 'get'
  })
}
// 删除角色
export const deleteUser = (data) => {
  return axios.request({
    url: '/api/ac/sc/systemUserService/deleteUser',
    data: data,
    type: 'post'
  })
}
// 添加角色
export const addUser = (data) => {
  return axios.request({
    url: '/api/ac/sc/systemUserService/addUser',
    data: data,
    type: 'post'
  })
}
// 修改角色
export const setUserInfo = (data) => {
  return axios.request({
    url: '/api/ac/sc/systemUserService/setUserInfo',
    data: data,
    type: 'post'
  })
}
